Bug 443203 - Fedora rawhide + ralink = slow bit rate
Fedora rawhide + ralink = slow bit rate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
: Reopened, Triaged
: 442790 443776 446933 (view as bug list)
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-04-19 04:44 EDT by Edouard Bourguignon
Modified: 2009-12-18 01:06 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:06:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash log (7.66 KB, text/plain)
2008-05-22 16:28 EDT, Edouard Bourguignon
no flags Details
Fix ACK timeouts causing too many failures for TX frames. (4.65 KB, patch)
2009-09-03 15:02 EDT, Ivo van Doorn
no flags Details | Diff

  None (edit)
Description Edouard Bourguignon 2008-04-19 04:44:27 EDT
Description of problem:

Wireless connections work but are very slow, rate link is set to 1Mbps. Have to
manually set it to 54Mbps.

Version-Release number of selected component (if applicable):

2.6.25-1.fc9.i686

How reproducible:

static

Steps to Reproduce:
1. log in
2. connect to the AP
3. iwconfig
  
Actual results:
wlan0     IEEE 802.11  ESSID:"ouifi-25F2E6"  
          Mode:Managed  Frequency:2.417 GHz  Access Point: 00:16:38:25:F2:F1   
          Bit Rate=1 Mb/s   Tx-Power=27 dBm   
          Retry min limit:7   RTS thr:off   Fragment thr=2352 B   
          Link Quality=47/100  Signal level=-62 dBm  
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0


Expected results:

Bit Rate should be automatically 54Mbps


Additional info:

AP is really close, and it used to work at 54Mbps on fedora8
Comment 1 Adriaan Larmuseau 2008-04-24 17:38:06 EDT
I've been encountering the same problem but with an Intel PRO wireless 3945ABG

iwconfig :
wlan0     IEEE 802.11  ESSID:"cpwbs154272D5B"  
          Mode:Managed  Frequency:2.412 GHz  Access Point: 00:12:BF:27:2D:5D   
          Bit Rate=11 Mb/s   Tx-Power=15 dBm   
          Retry min limit:7   RTS thr:off   Fragment thr=2352 B   
          Encryption key: $key$
          Link Quality=79/100  Signal level=-55 dBm  Noise level=-58 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

problem also simply reproduced by starting up rawhide, the expected bit rate is
48 Mb/s or 54 Mb/s 

PS : how did you manually fix the bit rate problem ?

Comment 2 Edouard Bourguignon 2008-04-25 04:45:52 EDT
I have to manually set the rate by typing as root the command: iwconfig wlan0
set rate 54M
I hope it will help you Adriaan.
Comment 3 Edouard Bourguignon 2008-05-08 10:36:05 EDT
oops the command is "iwconfig wlan0 rate 54M", but by doing this the bitrate is
good but i've got some packet loss (about 10%). 

This annoying bug is still occuring with kernel kernel-2.6.25-14.fc9.i686
Comment 4 Bug Zapper 2008-05-14 05:42:23 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Edouard Bourguignon 2008-05-17 17:03:04 EDT
Bug still here on kernel-2.6.25.3-18.fc9.i686.

[edouard@io ~]$ sudo ping -q -c 1000 -f AP
PING AP (192.168.2.1) 56(84) bytes of data.

--- AP ping statistics ---
1000 packets transmitted, 914 received, 8% packet loss, time 3214ms
rtt min/avg/max/mdev = 1.177/1.640/101.943/4.792 ms, pipe 6, ipg/ewma 3.218/1.282 ms

Does anyone know why there is this kind of regression with the ralink open
source driver?
Comment 6 John W. Linville 2008-05-19 08:41:37 EDT
*** Bug 443776 has been marked as a duplicate of this bug. ***
Comment 7 John W. Linville 2008-05-20 15:14:39 EDT
Can you recreate this issue with the test kernels here?

   http://koji.fedoraproject.org/koji/buildinfo?buildID=49743
Comment 8 John W. Linville 2008-05-20 15:15:15 EDT
*** Bug 446933 has been marked as a duplicate of this bug. ***
Comment 9 Edouard Bourguignon 2008-05-22 16:28:09 EDT
Created attachment 306420 [details]
crash log

seems worse kernel crash when wireless card is inserted
Comment 10 Ivo van Doorn 2008-05-23 12:15:29 EDT
John, the kernel crash mentioned in comment #9 is fixed with patch "rt2x00: 
Use atomic interface iteration in irq context" which I submitted to 
linux-wireless a few minutes ago.
Comment 11 Edouard Bourguignon 2008-06-02 03:32:14 EDT
Seems there is a new kernel on koji that includes the fix. I will try this
kernel-2.6.25.4-39.fc9 asap.
Comment 12 Edouard Bourguignon 2008-06-04 14:07:11 EDT
with 2.6.25.4-39 no crash but can't associate with AP.

Jun  4 19:57:01 io NetworkManager: <info>  Activation (wlan0/wireless):
connection 'Auto ouifi-25F2E6' has security, and secrets exist.  No new secrets
needed.
Jun  4 19:57:01 io NetworkManager: <info>  Config: added 'ssid' value 'ouifi-25F2E6'
Jun  4 19:57:01 io NetworkManager: <info>  Config: added 'scan_ssid' value '1'
Jun  4 19:57:01 io NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-PSK'
Jun  4 19:57:01 io NetworkManager: <info>  Config: added 'psk' value '<omitted>'
Jun  4 19:57:01 io NetworkManager: <info>  Config: added 'proto' value 'WPA RSN'
Jun  4 19:57:01 io NetworkManager: <info>  Config: added 'pairwise' value 'TKIP
CCMP'
Jun  4 19:57:01 io NetworkManager: <info>  Config: added 'group' value 'WEP40
WEP104 TKIP CCMP'
Jun  4 19:57:01 io NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) complete.
Jun  4 19:57:01 io NetworkManager: <info>  Config: set interface ap_scan to 1
Jun  4 19:57:01 io NetworkManager: <info>  (wlan0): supplicant connection state
change: 0 -> 2
Jun  4 19:57:02 io NetworkManager: <info>  (wlan0): supplicant connection state
change: 2 -> 3
Jun  4 19:57:17 io NetworkManager: <info>  (wlan0): supplicant connection state
change: 3 -> 0
Jun  4 19:57:17 io NetworkManager: <info>  (wlan0): supplicant connection state
change: 0 -> 2
Jun  4 19:57:18 io NetworkManager: <info>  (wlan0): supplicant connection state
change: 2 -> 3
Jun  4 19:57:26 io NetworkManager: <info>  Activation (wlan0/wireless):
association took too long.
Jun  4 19:57:26 io NetworkManager: <info>  (wlan0): device state change: 5 -> 6
Jun  4 19:57:26 io NetworkManager: <info>  Activation (wlan0/wireless): asking
for new secrets
Jun  4 19:57:26 io NetworkManager: <info>  (wlan0): supplicant connection state
change: 3 -> 0
Jun  4 19:57:31 io NetworkManager: <WARN>  get_secrets_cb(): Couldn't get
connection secrets: applet-device-wireless.c.1298
(get_secrets_dialog_response_cb): canceled.
Jun  4 19:57:31 io NetworkManager: <info>  (wlan0): device state change: 6 -> 9
Jun  4 19:57:31 io NetworkManager: <info>  Activation (wlan0) failed for access
point (ouifi-25F2E6)
Jun  4 19:57:31 io NetworkManager: <info>  Marking connection 'Auto
ouifi-25F2E6' invalid.
Jun  4 19:57:31 io NetworkManager: <info>  Activation (wlan0) failed.
Jun  4 19:57:31 io NetworkManager: <info>  (wlan0): device state change: 9 -> 3
Jun  4 19:57:31 io NetworkManager: <info>  (wlan0): deactivating device.

Will try with kernel-2.6.25.4-42.fc9.i686
Comment 13 Edouard Bourguignon 2008-06-05 02:10:59 EDT
sorry same problem with kernel-2.6.25.4-42 :(

From dmesg:
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:16:38:25:f2:f1
wlan0: authenticate with AP 00:16:38:25:f2:f1
wlan0: authenticate with AP 00:16:38:25:f2:f1
wlan0: authentication with AP 00:16:38:25:f2:f1 timed out
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:16:38:25:f2:f1
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:16:38:25:f2:f1
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:16:38:25:f2:f1
wlan0: authenticate with AP 00:16:38:25:f2:f1
wlan0: authenticate with AP 00:16:38:25:f2:f1
wlan0: authentication with AP 00:16:38:25:f2:f1 timed out
Comment 14 Edouard Bourguignon 2008-06-14 04:12:26 EDT
same problem on stable fc9 kernel: 2.6.25.6-55.fc9.i686

will try kernel-2.6.25.6-59.fc9
Comment 15 John W. Linville 2008-07-08 15:59:23 EDT
*** Bug 442790 has been marked as a duplicate of this bug. ***
Comment 16 Edouard Bourguignon 2008-08-08 15:40:08 EDT
same probleme on Fedora 10 rawhide with kernel 2.6.27-0.238.rc2.fc10.i686

wlan0: authenticate with AP 00:16:38:25:f2:f1
wlan0: authenticate with AP 00:16:38:25:f2:f1
wlan0: authenticated
wlan0: associate with AP 00:16:38:25:f2:f1
wlan0: authenticate with AP 00:16:38:25:f2:f1
wlan0: authenticated
wlan0: associate with AP 00:16:38:25:f2:f1
wlan0: RX ReassocResp from 00:16:38:25:f2:f1 (capab=0x411 status=0 aid=2)
wlan0: associated
wlan0: no IPv6 routers present
wlan0: disassociating by local choice (reason=3)
Comment 17 Edouard Bourguignon 2008-08-09 12:28:59 EDT
Should I open a new bug because it also occurs on Fedora 10 rawhide?
Comment 18 Edouard Bourguignon 2008-08-31 10:29:09 EDT
Hello?

Same issue on kernel-2.6.27-0.290.rc5.fc10.i686

wlan0: authenticate with AP 00:16:38:25:f2:f1
wlan0: authenticated
wlan0: associate with AP 00:16:38:25:f2:f1
wlan0: RX AssocResp from 00:16:38:25:f2:f1 (capab=0x411 status=0 aid=1)
wlan0: associated
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: no IPv6 routers present
wlan0: disassociating by local choice (reason=3)

Only with rt2500-pci, works well with rt61pci
Comment 19 Edouard Bourguignon 2008-10-22 04:44:22 EDT
Any news? It looks like old driver works, but not sure. I found this bug report from ubuntu where people seems to get upset https://bugs.launchpad.net/bugs/190515
I've not updated for a couple of days but I'm still having the problem on F10 (F8 and F9 too). Moreover my e100 eeprom is corrupted now :( which means my laptop is useless till this bug get fixed.
Comment 20 Edouard Bourguignon 2008-10-24 06:49:04 EDT
still not working on kernel-2.6.27.3-39.fc10.i686

same message:
wlan0: disassociating by local choice (reason=3)
Comment 21 John W. Linville 2008-10-24 10:29:40 EDT
Comment 18 says "Only with rt2500-pci, works well with rt61pci" -- so why not just use rt61pci?
Comment 22 John W. Linville 2008-10-24 10:34:05 EDT
Disregard last post -- I guess those don't have overlapping pci ids anymore.
Comment 24 Edouard Bourguignon 2008-11-08 05:14:28 EST
http://bugzilla.kernel.org/show_bug.cgi?id=9273
Comment 25 Bug Zapper 2008-11-25 21:13:07 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 John W. Linville 2009-01-21 15:25:02 EST
OK, so comment 24 seems in-line with the summary and the original bug report.  Somewhere in the middle we strayed over to some connectivity problems.  Are those now resolved?  So we are only dealing with the throughput issue, as in the bugzilla reference in comment 24?

Have you tried a current Rawhide kernel?  I'm not aware of any specific fix that might be there, but I'd like to get a good "level set" to get back to looking at this issue.
Comment 27 John W. Linville 2009-03-04 15:04:09 EST
Closed due to lack of response...please reopen if problems continue with current kernels.
Comment 28 Edouard Bourguignon 2009-03-06 13:54:36 EST
problems persist at least on latest fc9 kernel (2.6.27.19-78.2.30.fc9.i686).
Comment 29 Mace Moneta 2009-04-08 04:57:32 EDT
Having the problem with F11 rawhide, kernel 2.6.29.1-52.fc11.i586.  DCHP can't get an address, manual ip configuration works.
Comment 30 Mace Moneta 2009-04-08 05:01:39 EDT
Sorry, submitted too soon.  When the ip address is manually configured, the bit rate is 1M.  I have to manually set it to 54M as above.
Comment 31 Anderson Silva 2009-07-23 21:57:41 EDT
I am running a HP AMD Desktop with with the following ralink modules loaded:

[root@bean2 ~]# /sbin/lsmod | grep rt
rt73usb                24004  0 
rt2x00usb              10656  1 rt73usb
crc_itu_t               2000  2 rt73usb,firewire_core
rt2x00lib              38736  2 rt73usb,rt2x00usb
mac80211              199568  2 rt2x00usb,rt2x00lib
cfg80211               37072  2 rt2x00lib,mac80211

Running on Fedora 11, newest kernel:

[root@bean2 ~]# uname -a
Linux bean2.desktop 2.6.29.6-213.fc11.x86_64 #1 SMP Tue Jul 7 21:02:57 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

And I had this very same problem... The rate was at 1 MB/s, connecting to sites through firefox was very slow, and in some cases, like logging in to gmail or facebook, it wouldn't work at all.

I changed the bit rate to 54M, and everything seems to be working well now.

Thanks,

AS
Comment 32 Ivo van Doorn 2009-09-03 15:02:51 EDT
Created attachment 359727 [details]
Fix ACK timeouts causing too many failures for TX frames.

Please try attached patch.
Comment 33 John W. Linville 2009-09-09 13:44:38 EDT
Test kernels w/ a backported version of the above patch for F-11 are available here:

   http://koji.fedoraproject.org/koji/taskinfo?taskID=1665324

Please give them a try and post the results here...thanks!
Comment 34 John W. Linville 2009-09-14 14:51:20 EDT
Anyone try the kernels from comment 33?  Koji will delete them before too long...
Comment 35 Ivan Virgili 2009-09-14 17:18:47 EDT
I have just downloaded the kernel through the link on comment 33.
I won't be able to test today, but I will do it tomorrow and report back.
Thanks.
Comment 36 Ivan Virgili 2009-09-15 15:21:21 EDT
I tried to test kernel 2.6.29.6-217.2.22.bz443203.fc11.i686.PAE but I was unsuccessful. The card is detected and seems to be working fine, but it does not manage to get an IP address. I have the same problem with kernel 2.6.30.5-43.fc11.i686.PAE. I do not use this card regularly any more, therefore there might be something else causing the problem.

Sep 15 20:14:42  NetworkManager: <info>  Activation (wlan1) starting connection 'Auto ########'
Sep 15 20:14:42  NetworkManager: <info>  (wlan1): device state change: 3 -> 4 (reason 0)
Sep 15 20:14:42  NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) scheduled...
Sep 15 20:14:42  NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) started...
Sep 15 20:14:42  NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) scheduled...
Sep 15 20:14:42  NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) complete.
Sep 15 20:14:42  NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) starting...
Sep 15 20:14:42  NetworkManager: <info>  (wlan1): device state change: 4 -> 5 (reason 0)
Sep 15 20:14:42  NetworkManager: <info>  Activation (wlan1/wireless): access point 'Auto ########' has security, but secrets are required.
Sep 15 20:14:42  NetworkManager: <info>  (wlan1): device state change: 5 -> 6 (reason 0)
Sep 15 20:14:42  NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) complete.
Sep 15 20:14:42  NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) scheduled...
Sep 15 20:14:42  NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) started...
Sep 15 20:14:42  NetworkManager: <info>  (wlan1): device state change: 6 -> 4 (reason 0)
Sep 15 20:14:42  NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) scheduled...
Sep 15 20:14:42  NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) complete.
Sep 15 20:14:42  NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) starting...
Sep 15 20:14:42  NetworkManager: <info>  (wlan1): device state change: 4 -> 5 (reason 0)
Sep 15 20:14:42  NetworkManager: <info>  Activation (wlan1/wireless): connection 'Auto ########' has security, and secrets exist.  No new secrets needed.
Sep 15 20:14:42  NetworkManager: <info>  Config: added 'ssid' value '########'
Sep 15 20:14:42  NetworkManager: <info>  Config: added 'scan_ssid' value '1'
Sep 15 20:14:42  NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-PSK'
Sep 15 20:14:42  NetworkManager: <info>  Config: added 'psk' value '<omitted>'
Sep 15 20:14:42  NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) complete.
Sep 15 20:14:42  NetworkManager: <info>  Config: set interface ap_scan to 1
Sep 15 20:14:42  NetworkManager: <info>  (wlan1): supplicant connection state:  scanning -> disconnected
Sep 15 20:14:42  NetworkManager: <info>  (wlan1): supplicant connection state:  disconnected -> scanning
Sep 15 20:14:43  NetworkManager: <info>  (wlan1): supplicant connection state:  scanning -> associating
Sep 15 20:14:43  NetworkManager: <info>  (wlan1): supplicant connection state:  associating -> associated
Sep 15 20:14:43  NetworkManager: <info>  (wlan1): supplicant connection state:  associated -> 4-way handshake
Sep 15 20:14:43  NetworkManager: <info>  (wlan1): supplicant connection state:  4-way handshake -> group handshake
Sep 15 20:14:44  NetworkManager: <info>  (wlan1): supplicant connection state:  group handshake -> completed
Sep 15 20:14:44  NetworkManager: <info>  Activation (wlan1/wireless) Stage 2 of 5 (Device Configure) successful.  Connected to wireless network '########'.
Sep 15 20:14:44  NetworkManager: <info>  Activation (wlan1) Stage 3 of 5 (IP Configure Start) scheduled.
Sep 15 20:14:44  NetworkManager: <info>  Activation (wlan1) Stage 3 of 5 (IP Configure Start) started...
Sep 15 20:14:44  NetworkManager: <info>  (wlan1): device state change: 5 -> 7 (reason 0)
Sep 15 20:14:44  NetworkManager: <info>  Activation (wlan1) Beginning DHCP transaction.
Sep 15 20:14:44  NetworkManager: <info>  dhclient started with pid 3479
Sep 15 20:14:44  NetworkManager: <info>  Activation (wlan1) Stage 3 of 5 (IP Configure Start) complete.
Sep 15 20:14:44  dhclient: Internet Systems Consortium DHCP Client 4.1.0p1
Sep 15 20:14:44  dhclient: Copyright 2004-2009 Internet Systems Consortium.
Sep 15 20:14:44  dhclient: All rights reserved.
Sep 15 20:14:44  dhclient: For info, please visit http://www.isc.org/sw/dhcp/
Sep 15 20:14:44  dhclient: 
Sep 15 20:14:44  NetworkManager: <info>  DHCP: device wlan1 state changed normal exit -> preinit
Sep 15 20:14:44  dhclient: Listening on LPF/wlan1/00:0f:ea:5a:66:60
Sep 15 20:14:44  dhclient: Sending on   LPF/wlan1/00:0f:ea:5a:66:60
Sep 15 20:14:44  dhclient: Sending on   Socket/fallback
Sep 15 20:14:47  dhclient: DHCPDISCOVER on wlan1 to 255.255.255.255 port 67 interval 4
Sep 15 20:14:51  dhclient: DHCPDISCOVER on wlan1 to 255.255.255.255 port 67 interval 8
Sep 15 20:14:59  dhclient: DHCPDISCOVER on wlan1 to 255.255.255.255 port 67 interval 8
Sep 15 20:15:07  dhclient: DHCPDISCOVER on wlan1 to 255.255.255.255 port 67 interval 8
Sep 15 20:15:15  dhclient: DHCPDISCOVER on wlan1 to 255.255.255.255 port 67 interval 8
Sep 15 20:15:23  dhclient: DHCPDISCOVER on wlan1 to 255.255.255.255 port 67 interval 12
Sep 15 20:15:30  NetworkManager: <info>  Device 'wlan1' DHCP transaction took too long (>45s), stopping it.
Sep 15 20:15:30  NetworkManager: <info>  wlan1: canceled DHCP transaction, dhcp client pid 3479
Sep 15 20:15:30  NetworkManager: <info>  Activation (wlan1) Stage 4 of 5 (IP Configure Timeout) scheduled...
Sep 15 20:15:30  NetworkManager: <info>  Activation (wlan1) Stage 4 of 5 (IP Configure Timeout) started...
Sep 15 20:15:30  NetworkManager: <info>  (wlan1): device state change: 7 -> 9 (reason 5)
Sep 15 20:15:30  NetworkManager: <info>  Activation (wlan1) failed for access point (########)
Sep 15 20:15:30  NetworkManager: <info>  Marking connection 'Auto ########' invalid.
Sep 15 20:15:30  NetworkManager: <info>  Activation (wlan1) failed.
Sep 15 20:15:30  NetworkManager: <info>  Activation (wlan1) Stage 4 of 5 (IP Configure Timeout) complete.
Sep 15 20:15:30  NetworkManager: <info>  (wlan1): device state change: 9 -> 3 (reason 0)
Sep 15 20:15:30  NetworkManager: <info>  (wlan1): deactivating device (reason: 0).
Comment 37 John W. Linville 2009-09-15 15:28:47 EDT
*sigh*

What was the last kernel version that had a testable driver for you, Ivan?

Others, please do still try the kernel from comment 33...
Comment 38 Mace Moneta 2009-09-15 15:36:24 EDT
That sounds like Bug 457441.  The rt2500 cards haven't been able to use DHCP for over a year now.  You have to manually configure an address.
Comment 39 Ivan Virgili 2009-09-15 16:16:04 EDT
I read Bug 457441 and the problem looks similar.
I tried to set up a static IP address manually, but it did not help.

John, I tried to figure out when I was able to connect the last time and unfortunately I think that was with F10 in either December 2008 or January 2009 (eg. kernel-2.6.27.5-117.fc10).
Comment 40 Bug Zapper 2009-11-18 04:33:57 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 41 Mace Moneta 2009-11-30 01:16:30 EST
I'm not seeing the low bitrate issue after upgrading to F12.
Comment 42 Bug Zapper 2009-12-18 01:06:49 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.